    import PredictionModelRepository from 'pvbid-sdk/src/repositories/PredictionModelRepository.js'

public class | source

# PredictionModelRepository

#### Extends:

BaseRepository → PredictionModelRepository

## Constructor Summary

Public Constructor
public | constructor() |

## Method Summary

Public Methods
public | async get(params: object): Promise<BidEntity[]> Retrieves a list of predition models |
public | async getData(predictionModelId: number): promise<BidEntity> Get a prediction model with associated datasets |

## Inherited Summary

From class BaseRepository
public | endpoint: * |
public | http: * |
public | httpConfig: * |
public | map: {"single": *, "multi": *} |
public | metaData: * |
public | params: {} |
public | async create(entity: BidEntity): Promise<BidEntity> Persists a new entity |
public | async delete(id: number): Promise<Object> Deletes a single entity by its id |
public | async findById(id: number): Promise<BidEntity> Retrieves a single domain object by its id. |
public | async get(params: Object): Promise<BidEntity[]> Retrieves an array of results for the endpoint |
public | async save(entity: BidEntity): Promise<BidEntity> Persists an update to the entity |

## Public Constructors

### public constructor() source

Creates an instance of BaseRepository.

#### Override:

BaseRepository#constructor

## Public Methods

### public async get(params: object): Promise<BidEntity[]> source

Retrieves a list of predition models

#### Override:

BaseRepository#get

#### Params:

Name | Type | Attribute | Description
params | object |  |
params.lineItemDefId | number |  | Filters results by line item definition

#### Return:

Promise<BidEntity[]> | List of predictions

### public async getData(predictionModelId: number): promise<BidEntity> source

Get a prediction model with associated datasets

#### Params:

Name | Type | Attribute | Description
predictionModelId | number |  |

#### Return:

promise<BidEntity> | prediction model with datasets